<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Démo Bases CSS</title>
    <!-- L'élément <style>, placé dans le <head>, contient le css appelé dans le code HTML -->
    <style>
        /* Style s'appliquant à ... */
        /* ... tous les éléments HTML de type <p> et leur sous-éléments */
        p {
            color: purple;
            font-weight: bold;
        }
        /* ... tous les éléments avec le paramètre 'class="warning"' et leur sous-éléments */
        .warning {
            background-color: #ffc107;
            font-weight: lighter;
            font-style: italic;
            padding: 1rem;
        }
        /* ... l'élément avec le paramètre 'id="unique-danger"' et ses sous-éléments */
        #unique-danger {
            background-color: #dc3545;
            color: white;
        }
    </style>
    <link rel="stylesheet" href="../resources/css/demo-2-css-basics.css">
</head>
<body>

    <header>
        <h1>Elément positionné de manière absolue dans un élément positionné de manière relative</h1>
    </header>

    <article>

        <h2>Elément non stylisé</h2>

        <h3
            style="background-color: #337ab7; color: white; padding: 2rem; margin: 1rem;"
        >
            Elément stylisée avec du CSS inline
        </h3>

        <p>Elément stylisé avec du CSS dans le &lt;head&gt; - par élément HTML</p>

        <p class="warning">
            Elément stylisé avec du CSS dans le &lt;head&gt; - par élément HTML et classe CSS
            (Les paramètres CSS de classe surchargent ceux d'élément HTML)
        </p>

        <p class="warning" id="unique-danger">
            Elément stylisé avec du CSS dans le &lt;head&gt; - par élément HTML, classe CSS et ID
            (Les paramètres CSS d'ID surchargent ceux de classe et d'élément HTML)
        </p>

        <p>
            Texte <span class="fancy-text">partiellemnt stylisé différemment</span> grâce à l'usage du &lt;span&gt;
        </p>

        <div class="fancy-div">
            <p>Eléments stylisés avec la feuille de style externe et l'usage de sélecteurs</p>
        </div>

        <div class="inline-div">
            <h2>Titre</h2>
            <p>Et un texte en accompagnement</p>
        </div>
        <div class="inline-div">
            <h2>Titre</h2>
            <p>Et un texte en accompagnement</p>
        </div>

    </article>

    <footer>
        <h4>Elément positionné de manière absolue dans un élément positionné de manière relative</h4>
    </footer>

    <h3 class="absolute-position">Elément positionné de manière absolue</h3>
</body>
</html>